<?php

namespace Ignite\Core\Http\Forms;

use Exception;
use Ignite\Core\Models\Form\CoreForm;

class EnrollForm extends CoreForm
{
    /**
     * Should the values be grouped by table.
     *
     * @var bool
     */
    protected $groupByTable = true;

    /**
     * Build the enrollment form.
     *
     * @return void
     * @throws Exception
     */
    public function buildForm()
    {
        $this->setFormOptions([
            'id' => 'enrollment-form',
            'novalidate'
        ]);

        $this->buildFromSchema('enrollment');
    }
}
